Bug 213610 - dns/opendnssec2: Update to 2.0.3
Summary: dns/opendnssec2: Update to 2.0.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Bartek Rutkowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-19 12:49 UTC by Jaap Akkerhuis
Modified: 2016-10-26 07:30 UTC (History)
1 user (show)

See Also:


Attachments
Patch to Upgrade (1.23 KB, patch)
2016-10-19 12:49 UTC, Jaap Akkerhuis
jaap: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jaap Akkerhuis 2016-10-19 12:49:20 UTC
Created attachment 175932 [details]
Patch to Upgrade

Features:

Most of the changes are related to further smoothing the migration
path from OpenDNSSEC 1.4 to 2.0. If you still need to migrate from
1.4.10 please migrate to 2.0.3 directly rather than from 2.0.1.
Another important fix is a memory leak in the signer. It would cause
a high memory usage for installations with very frequent outgoing
IXFR's.

Changes:

* OpenDNSSEC-839: update all no longer deletes zones or policies.
  Policy import now has a --remove-missing-policies option. (thanks
  David Peall)
* OpenDNSSEC-840: Fix migration script to correctly interpret SOA
  serial strategy.
* OPENDNSSEC-843: MaxZoneTTL defaults to 0 instead of 1 day.
* Migration script can handle converting a database with zones in
  rollover better.
* Fixed incorrect behaviour when more than 2 ZSKs involved in roll.
* SUPPORT-201: Remove old keys from converted DB.
* OPENDNSSEC-845: Memory leak on IXFR out.
Comment 1 commit-hook freebsd_committer 2016-10-20 09:10:38 UTC
A commit references this bug:

Author: robak
Date: Thu Oct 20 09:09:59 UTC 2016
New revision: 424313
URL: https://svnweb.freebsd.org/changeset/ports/424313

Log:
  dns/opendnssec: update 1.4.10 -> 1.4.12

  PR:		213610
  Submitted by:	Jaap Akkerhuis <jaap@NLnetLabs.nl> (maintainer)
  MFH:		2016Q4

Changes:
  head/dns/opendnssec/Makefile
  head/dns/opendnssec/distinfo
Comment 2 Bartek Rutkowski freebsd_committer 2016-10-20 09:12:04 UTC
(In reply to commit-hook from comment #1)

Above commit message is here by mistake, it belongs to the PR #213609.
Comment 3 commit-hook freebsd_committer 2016-10-25 08:23:41 UTC
A commit references this bug:

Author: robak
Date: Tue Oct 25 08:23:25 UTC 2016
New revision: 424603
URL: https://svnweb.freebsd.org/changeset/ports/424603

Log:
  dns/opendnssec2: update 2.0.1 -> 2.0.3

  PR:		213610
  Submitted by:	Jaap Akkerhuis <jaap@NLnetLabs.nl> (maintainer)
  MFH:		2016Q4

Changes:
  head/dns/opendnssec2/Makefile
  head/dns/opendnssec2/distinfo
Comment 4 Bartek Rutkowski freebsd_committer 2016-10-25 08:25:19 UTC
Committed, thanks!
Comment 5 commit-hook freebsd_committer 2016-10-25 08:29:43 UTC
A commit references this bug:

Author: robak
Date: Tue Oct 25 08:29:19 UTC 2016
New revision: 424604
URL: https://svnweb.freebsd.org/changeset/ports/424604

Log:
  MFH: r424313

  dns/opendnssec: update 1.4.10 -> 1.4.12

  PR:		213610
  Submitted by:	Jaap Akkerhuis <jaap@NLnetLabs.nl> (maintainer)

  Approved by:	ports-secteam

Changes:
_U  branches/2016Q4/
  branches/2016Q4/dns/opendnssec/Makefile
  branches/2016Q4/dns/opendnssec/distinfo
Comment 6 commit-hook freebsd_committer 2016-10-26 07:30:29 UTC
A commit references this bug:

Author: robak
Date: Wed Oct 26 07:30:00 UTC 2016
New revision: 424679
URL: https://svnweb.freebsd.org/changeset/ports/424679

Log:
  MFH: r424603

  dns/opendnssec2: update 2.0.1 -> 2.0.3

  PR:		213610
  Submitted by:	Jaap Akkerhuis <jaap@NLnetLabs.nl> (maintainer)

  Approved by:	ports-secteam

Changes:
_U  branches/2016Q4/
  branches/2016Q4/dns/opendnssec2/Makefile
  branches/2016Q4/dns/opendnssec2/distinfo